i.cca(1)

NAME
i.cca - Canonical components analysis (CCA) program for image processing.

KEYWORDS
imagery, statistics, CCA, canonical components analysis

SYNOPSIS
i.cca
i.cca --help
i.cca group=name subgroup=name signature=name output=name [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

group=name [required]
    Name of input imagery group

subgroup=name [required]
    Name of input imagery subgroup

signature=name [required]
    File containing spectral signatures

output=name [required]
    Output raster map prefix name

DESCRIPTION
i.cca is an image processing program that takes any number of (raster) band files and a signature file, and outputs the same number of raster band files transformed to provide maximum separability of the categories indicated by the signatures. This implementation of the canonical components transformation is based on the algorithm contained in the LAS image processing system. CCA is also known as "Canonical components transformation".

Typically the user will use the g.gui.iclass program to collect a set of signatures and then pass those signatures along with the raster band files to i.cca. The raster band file names are specified on the command line by giving the group and subgroup that were used to collect the signatures.

The output raster map names are built by appending a ".1", ".2", etc. to the output raster map name specified on the command line.

  Parameters:

group=name
    Name of the imagery group to which the raster band files used belong.

subgroup=name
    Name of the imagery subgroup to which the raster band files used belong.

signature=name
    Name of an ASCII file containing spectral signatures.

output=name
    Output raster map prefix name. The output raster map layer names are built by appending a ".1", ".2", etc. onto the output name specified by the user.

NOTES
i.cca respects the current geographic region definition and the current mask setting while performing the transformation.

REFERENCES
Schowengerdt, Robert A. Techniques for Image Processing and Classification in Remote Sensing, Academic Press, 1983.

SEE ALSO
g.gui.iclass, i.gensig, i.cluster, i.pca, r.covar, r.mapcalc

AUTHORS
David Satnik, GIS Laboratory, Central Washington University
Ali R. Vali, University of Texas
Semantic label support: Maris Nartiss, University of Latvia

SOURCE CODE

Available at: i.cca source code (history)

Latest change: Thursday Feb 03 11:10:06 2022 in commit: 547ff44e6aecfb4c9cbf6a4717fc14e521bec0be

Main index | Imagery index | Topics index | Keywords index | Graphical index | Full index

© 2003-2022 GRASS Development Team, GRASS GIS 8.2.1dev Reference Manual